For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList API Keys
        • POSTCreate API Key
        • DELDelete API Key
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesAPI Keys

Delete API Key

DELETE
/v0/inboxes/:inbox_id/api-keys/:api_key_id
DELETE
/v0/inboxes/:inbox_id/api-keys/:api_key_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.api_keys.delete(
8 inbox_id="inbox_id",
9 api_key_id="api_key_id",
10)
**CLI:** ```bash agentmail inboxes:api-keys delete --inbox-id <inbox_id> --api-key-id <api_key_id> ```
Was this page helpful?
Previous

List Threads

Next
Built with

CLI:

$agentmail inboxes:api-keys delete --inbox-id <inbox_id> --api-key-id <api_key_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
api_key_idstringRequired
ID of api key.

Errors

404
Not Found Error